<template>
  <v-layout column>
    <v-flex xs6 offset-xs3>
      <panel title="Login">
        <form
            name="tab-tracker-form">
            <v-text-field
              type="email"
              name="email"
              v-model="email"
              id="email"
              label="Email">
            </v-text-field>
            <v-text-field
              type="password"
              name="password"
              v-model="password"
              id="password"
              label="Password">
            </v-text-field>
            <br>
            <div class="error" v-html="error"></div>
            <br>
            <v-btn
              class="cyan white--text"
              @click="onLogin">
              Login
            </v-btn>
          </form>
      </panel>
    </v-flex>
  </v-layout>
</template>

<script>
import AuthenticationService from '@/services/AuthenticationService'
import Panel from '@/components/shared/Panel'

export default {
  data () {
    return {
      email: '',
      password: '',
      error: ''
    }
  },
  methods: {
    async onLogin () {
      try {
        const response = await AuthenticationService.login({
          email: this.email,
          password: this.password
        })
        this.$store.dispatch('setToken', response.data.token)
        this.$store.dispatch('setUser', response.data.user)
      } catch (error) {
        this.error = error.response.data.error
      }
    }
  },
  components: {
    Panel
  }
}
</script>

<style scoped>
.error {
  color: red;
}
</style>
